diff --git a/hledger/hledger.info b/hledger/hledger.info
index 38f6e0857..06706e67f 100644
--- a/hledger/hledger.info
+++ b/hledger/hledger.info
@@ -130,6 +130,8 @@ File: hledger.info,  Node: OPTIONS,  Next: QUERIES,  Prev: EXAMPLES,  Up: Top
 * Cost::
 * Market value::
 * Combining -B and -V::
+* Output destination::
+* Output format::
 * Regular expressions::
 
 
@@ -673,7 +675,7 @@ $ hledger -f t.j bal euros -V -e 2016/12/21
 directives, not transaction prices (unlike Ledger).
 
 
-File: hledger.info,  Node: Combining -B and -V,  Next: Regular expressions,  Prev: Market value,  Up: OPTIONS
+File: hledger.info,  Node: Combining -B and -V,  Next: Output destination,  Prev: Market value,  Up: OPTIONS
 
 2.15 Combining -B and -V
 ========================
@@ -681,16 +683,12 @@ File: hledger.info,  Node: Combining -B and -V,  Next: Regular expressions,  Pre
 Using -B/-cost and -V/-value together is currently allowed, but the
 results are probably not meaningful.  Let us know if you find a use for
 this.
-* Menu:
-
-* Output destination::
-* Output format::
 
 
-File: hledger.info,  Node: Output destination,  Next: Output format,  Up: Combining -B and -V
+File: hledger.info,  Node: Output destination,  Next: Output format,  Prev: Combining -B and -V,  Up: OPTIONS
 
-2.15.1 Output destination
--------------------------
+2.16 Output destination
+=======================
 
 Some commands (print, register, stats, the balance commands) can write
 their output to a destination other than the console.  This is
@@ -700,10 +698,10 @@ $ hledger balance -o -     # write to stdout (the default)
 $ hledger balance -o FILE  # write to FILE
 
 
-File: hledger.info,  Node: Output format,  Prev: Output destination,  Up: Combining -B and -V
+File: hledger.info,  Node: Output format,  Next: Regular expressions,  Prev: Output destination,  Up: OPTIONS
 
-2.15.2 Output format
---------------------
+2.17 Output format
+==================
 
 Some commands can write their output in other formats.  Eg print and
 register can output CSV, and the balance commands can output CSV or
@@ -714,9 +712,9 @@ $ hledger balance -O csv       # write CSV to stdout
 $ hledger balance -o FILE.csv  # write CSV to FILE.csv
 
 
-File: hledger.info,  Node: Regular expressions,  Prev: Combining -B and -V,  Up: OPTIONS
+File: hledger.info,  Node: Regular expressions,  Prev: Output format,  Up: OPTIONS
 
-2.16 Regular expressions
+2.18 Regular expressions
 ========================
 
 hledger uses regular expressions in a number of places:
@@ -2394,133 +2392,133 @@ Node: EXAMPLES1888
 Ref: #examples1988
 Node: OPTIONS3634
 Ref: #options3736
-Node: General options4060
-Ref: #general-options4185
-Node: Command options6736
-Ref: #command-options6887
-Node: Command arguments7285
-Ref: #command-arguments7439
-Node: Argument files7560
-Ref: #argument-files7711
-Node: Special characters7977
-Ref: #special-characters8130
-Node: Input files9549
-Ref: #input-files9685
-Node: Smart dates11655
-Ref: #smart-dates11796
-Node: Report start & end date12775
-Ref: #report-start-end-date12945
-Node: Report intervals14010
-Ref: #report-intervals14173
-Node: Period expressions14574
-Ref: #period-expressions14734
-Node: Depth limiting18691
-Ref: #depth-limiting18835
-Node: Pivoting19177
-Ref: #pivoting19295
-Node: Cost20971
-Ref: #cost21079
-Node: Market value21197
-Ref: #market-value21332
-Node: Combining -B and -V22515
-Ref: #combining--b-and--v22679
-Node: Output destination22876
-Ref: #output-destination23026
-Node: Output format23309
-Ref: #output-format23449
-Node: Regular expressions23834
-Ref: #regular-expressions23977
-Node: QUERIES25338
-Ref: #queries25440
-Node: COMMANDS29407
-Ref: #commands29519
-Node: accounts30501
-Ref: #accounts30599
-Node: activity31845
-Ref: #activity31955
-Node: add32315
-Ref: #add32414
-Node: balance35075
-Ref: #balance35186
-Node: Flat mode38634
-Ref: #flat-mode38759
-Node: Depth limited balance reports39179
-Ref: #depth-limited-balance-reports39380
-Node: Multicolumn balance reports39800
-Ref: #multicolumn-balance-reports39995
-Node: Budgets44684
-Ref: #budgets44831
-Node: Custom balance output48662
-Ref: #custom-balance-output48824
-Node: Colour support50981
-Ref: #colour-support51113
-Node: balancesheet51286
-Ref: #balancesheet51422
-Node: balancesheetequity53724
-Ref: #balancesheetequity53873
-Node: cashflow54410
-Ref: #cashflow54538
-Node: check-dates56652
-Ref: #check-dates56779
-Node: check-dupes56896
-Ref: #check-dupes57020
-Node: close57157
-Ref: #close57264
-Node: help57594
-Ref: #help57694
-Node: import58768
-Ref: #import58882
-Node: incomestatement59612
-Ref: #incomestatement59746
-Node: prices62141
-Ref: #prices62256
-Node: print62299
-Ref: #print62409
-Node: print-unique67293
-Ref: #print-unique67419
-Node: register67487
-Ref: #register67614
-Node: Custom register output72115
-Ref: #custom-register-output72244
-Node: register-match73465
-Ref: #register-match73599
-Node: rewrite73782
-Ref: #rewrite73899
-Node: stats73968
-Ref: #stats74071
-Node: tags74932
-Ref: #tags75030
-Node: test75266
-Ref: #test75350
-Node: ADD-ON COMMANDS75718
-Ref: #add-on-commands75828
-Node: Official add-ons77115
-Ref: #official-add-ons77255
-Node: api77342
-Ref: #api77431
-Node: ui77483
-Ref: #ui77582
-Node: web77640
-Ref: #web77729
-Node: Third party add-ons77775
-Ref: #third-party-add-ons77950
-Node: diff78085
-Ref: #diff78182
-Node: iadd78281
-Ref: #iadd78395
-Node: interest78478
-Ref: #interest78599
-Node: irr78694
-Ref: #irr78792
-Node: Experimental add-ons78870
-Ref: #experimental-add-ons79022
-Node: autosync79313
-Ref: #autosync79425
-Node: budget79664
-Ref: #budget79786
-Node: chart79852
-Ref: #chart79969
-Node: check80040
-Ref: #check80142
+Node: General options4101
+Ref: #general-options4226
+Node: Command options6777
+Ref: #command-options6928
+Node: Command arguments7326
+Ref: #command-arguments7480
+Node: Argument files7601
+Ref: #argument-files7752
+Node: Special characters8018
+Ref: #special-characters8171
+Node: Input files9590
+Ref: #input-files9726
+Node: Smart dates11696
+Ref: #smart-dates11837
+Node: Report start & end date12816
+Ref: #report-start-end-date12986
+Node: Report intervals14051
+Ref: #report-intervals14214
+Node: Period expressions14615
+Ref: #period-expressions14775
+Node: Depth limiting18732
+Ref: #depth-limiting18876
+Node: Pivoting19218
+Ref: #pivoting19336
+Node: Cost21012
+Ref: #cost21120
+Node: Market value21238
+Ref: #market-value21373
+Node: Combining -B and -V22556
+Ref: #combining--b-and--v22719
+Node: Output destination22866
+Ref: #output-destination23028
+Node: Output format23311
+Ref: #output-format23463
+Node: Regular expressions23848
+Ref: #regular-expressions23985
+Node: QUERIES25346
+Ref: #queries25448
+Node: COMMANDS29415
+Ref: #commands29527
+Node: accounts30509
+Ref: #accounts30607
+Node: activity31853
+Ref: #activity31963
+Node: add32323
+Ref: #add32422
+Node: balance35083
+Ref: #balance35194
+Node: Flat mode38642
+Ref: #flat-mode38767
+Node: Depth limited balance reports39187
+Ref: #depth-limited-balance-reports39388
+Node: Multicolumn balance reports39808
+Ref: #multicolumn-balance-reports40003
+Node: Budgets44692
+Ref: #budgets44839
+Node: Custom balance output48670
+Ref: #custom-balance-output48832
+Node: Colour support50989
+Ref: #colour-support51121
+Node: balancesheet51294
+Ref: #balancesheet51430
+Node: balancesheetequity53732
+Ref: #balancesheetequity53881
+Node: cashflow54418
+Ref: #cashflow54546
+Node: check-dates56660
+Ref: #check-dates56787
+Node: check-dupes56904
+Ref: #check-dupes57028
+Node: close57165
+Ref: #close57272
+Node: help57602
+Ref: #help57702
+Node: import58776
+Ref: #import58890
+Node: incomestatement59620
+Ref: #incomestatement59754
+Node: prices62149
+Ref: #prices62264
+Node: print62307
+Ref: #print62417
+Node: print-unique67301
+Ref: #print-unique67427
+Node: register67495
+Ref: #register67622
+Node: Custom register output72123
+Ref: #custom-register-output72252
+Node: register-match73473
+Ref: #register-match73607
+Node: rewrite73790
+Ref: #rewrite73907
+Node: stats73976
+Ref: #stats74079
+Node: tags74940
+Ref: #tags75038
+Node: test75274
+Ref: #test75358
+Node: ADD-ON COMMANDS75726
+Ref: #add-on-commands75836
+Node: Official add-ons77123
+Ref: #official-add-ons77263
+Node: api77350
+Ref: #api77439
+Node: ui77491
+Ref: #ui77590
+Node: web77648
+Ref: #web77737
+Node: Third party add-ons77783
+Ref: #third-party-add-ons77958
+Node: diff78093
+Ref: #diff78190
+Node: iadd78289
+Ref: #iadd78403
+Node: interest78486
+Ref: #interest78607
+Node: irr78702
+Ref: #irr78800
+Node: Experimental add-ons78878
+Ref: #experimental-add-ons79030
+Node: autosync79321
+Ref: #autosync79433
+Node: budget79672
+Ref: #budget79794
+Node: chart79860
+Ref: #chart79977
+Node: check80048
+Ref: #check80150
 
 End Tag Table
diff --git a/hledger/hledger_options.m4.md b/hledger/hledger_options.m4.md
index 582dc0049..270b606f4 100644
--- a/hledger/hledger_options.m4.md
+++ b/hledger/hledger_options.m4.md
@@ -414,7 +414,7 @@ not [transaction prices](journal.html#transaction-prices) (unlike Ledger).
 Using -B/--cost and -V/--value together is currently allowed, but the
 results are probably not meaningful. Let us know if you find a use for this. 
 
-### Output destination
+## Output destination
 
 Some commands (print, register, stats, the balance commands) 
 can write their output to a destination other than the console. 
@@ -425,7 +425,7 @@ $ hledger balance -o -     # write to stdout (the default)
 $ hledger balance -o FILE  # write to FILE
 ```
 
-### Output format
+## Output format
 
 Some commands can write their output in other formats.
 Eg print and register can output CSV, and the balance commands can output CSV or HTML.
